#include "polyn.h"

float Polyn::STEP = 0.0001;

Polyn *Polyn::make(int level, float *koef) {
	if (level < 0)
		throw "Unknow polynom.";
	switch (level) {
		case 0:
			return new PolynZ(koef[0]);
		case 1:
			return new PolynSt(koef[1], koef[0]);
		case 2:
			return new PolynNd(koef[2], koef[1], koef[0]);
		default:
			return new PolynM(level, koef);
	}
}
